
From: Joe Thornber <thornber@redhat.com>

Add sanity check to dm_table_add_target() against zero length targets. 
[Christophe Saout]


---

 25-akpm/drivers/md/dm-table.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN drivers/md/dm-table.c~dm-08-zero-size-target-fix drivers/md/dm-table.c
--- 25/drivers/md/dm-table.c~dm-08-zero-size-target-fix	Tue Feb 10 13:08:31 2004
+++ 25-akpm/drivers/md/dm-table.c	Tue Feb 10 13:08:31 2004
@@ -655,6 +655,11 @@ int dm_table_add_target(struct dm_table 
 	memset(tgt, 0, sizeof(*tgt));
 	set_default_limits(&tgt->limits);
 
+	if (!len) {
+		tgt->error = "zero-length target";
+		return -EINVAL;
+	}
+
 	tgt->type = dm_get_target_type(type);
 	if (!tgt->type) {
 		tgt->error = "unknown target type";

_
